# $Revision: 1.33 $, $Date: 2012/06/21 12:40:30 $
Summary:	An IDE tailored to the needs of Qt developers
Summary(pl.UTF-8):	IDE dostosowane do potrzeb developerow Qt
Name:		qt-creator
Version:	2.5.0
Release:	2
Epoch:		1
License:	LGPL v2.1
Group:		X11/Development/Tools
Source0:	http://get.qt.nokia.com/qtcreator/%{name}-%{version}-src.zip
# Source0-md5:	76b1824c3cf856640ca1c9f95108fd19
Source1:	%{name}.desktop
Patch0:		%{name}-pluginpath64.patch
URL:		http://qt.nokia.com/products/developer-tools
BuildRequires:	QtDBus-devel
BuildRequires:	QtDeclarative-devel
BuildRequires:	QtDesigner-devel
BuildRequires:	QtGui-devel
BuildRequires:	QtHelp-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	QtScript-devel
BuildRequires:	QtSql-sqlite3
BuildRequires:	QtSvg-devel
BuildRequires:	QtWebKit-devel
BuildRequires:	QtXml-devel
BuildRequires:	qt4-build >= 4.7.4
BuildRequires:	qt4-linguist
BuildRequires:	qt4-qmake >= 4.7.4
BuildRequires:	rpmbuild(macros) >= 1.602
BuildRequires:	unzip
Requires(post,postun):	desktop-file-utils
%requires_eq	QtCore
Requires:	QtSql-sqlite3
Requires:	hicolor-icon-theme
# for xdg-open
Suggests:	xdg-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Qt Creator is a cross-platform integrated development environment (IDE)
tailored to the needs of Qt developers.

%description -l pl.UTF-8
Qt Creator to wieloplatformowe IDE dostosowane do potrzeb developerow Qt.

%prep
%setup -q -n %{name}-%{version}-src

%if "%{_lib}" == "lib64"
%patch0 -p1
%endif

%build
export QTDIR=%{_libdir}/qt4
# the qmakespec in qt4 is somewhat broken, need to look at this
#export QMAKESPEC=%{_datadir}/qt4/mkspecs/linux-g++/

qmake-qt4 qtcreator.pro \
	QMAKE_CXX="%{__cxx}" \
	QMAKE_LINK="%{__cxx}" \
	QMAKE_CXXFLAGS_RELEASE="%{rpmcflags}" \
	QMAKE_RPATH=

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

export QTDIR=%{_libdir}/qt4
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT%{_prefix}

%if "%{_lib}" == "lib64"
mv -f $RPM_BUILD_ROOT{%{_prefix}/lib,%{_libdir}}
%endif

install -d $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d
echo "%{_libdir}/qtcreator" > $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d/qtcreator.conf

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

# not supported by hicolor-icon-theme
rm -rf $RPM_BUILD_ROOT%{_iconsdir}/hicolor/512x512

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_desktop_database
%update_icon_cache hicolor

%postun
/sbin/ldconfig
%update_desktop_database_postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qtcreator
%attr(755,root,root) %{_bindir}/qtcreator_process_stub
%attr(755,root,root) %{_bindir}/qmlprofiler
%attr(755,root,root) %{_bindir}/qtpromaker
%{_sysconfdir}/ld.so.conf.d/qtcreator.conf
%dir %{_libdir}/qtcreator
%attr(755,root,root) %{_libdir}/qtcreator/lib*.so.*.*
%attr(755,root,root) %{_libdir}/qtcreator/lib*.so
%attr(755,root,root) %ghost %{_libdir}/qtcreator/lib*.so.1
%dir %{_libdir}/qtcreator/plugins
%dir %{_libdir}/qtcreator/plugins/Nokia
%{_libdir}/qtcreator/plugins/Nokia/*.pluginspec
%attr(755,root,root) %{_libdir}/qtcreator/plugins/Nokia/*.so
%{_libdir}/qtcreator/qtcomponents
%{_datadir}/qtcreator
%{_desktopdir}/qt-creator.desktop
%{_iconsdir}/hicolor/*/*/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qt-creator.spec,v $
Revision 1.33  2012/06/21 12:40:30  baggins
- release 2 (by relup.sh)

Revision 1.32  2012/05/11 15:27:15  megabajt
- updated to 2.5.0

Revision 1.31  2012/04/05 11:43:37  megabajt
- release 2

Revision 1.30  2012/02/05 21:29:24  megabajt
- updated to 2.4.1

Revision 1.29  2012/01/20 11:10:59  cactus
- rel 2

Revision 1.28  2011/12/19 00:55:44  charles
- updated to 2.4.0

Revision 1.27  2011/10/10 17:13:25  charles
- up to 2.3.1

Revision 1.26  2011/09/13 19:43:26  megabajt
- removed 512x512 icons (not supported by hicolor-icon-theme)
- release 2

Revision 1.25  2011/09/10 23:57:08  charles
- updated to 2.3.0

Revision 1.24  2011/07/17 19:03:06  megabajt
- updated to 2.2.1

Revision 1.23  2011/05/29 23:22:01  charles
- updated URL

Revision 1.22  2011/05/29 21:24:14  megabajt
- updated to 2.2.0

Revision 1.21  2011/05/04 20:56:46  megabajt
- release 3

Revision 1.20  2011/04/13 19:33:59  megabajt
- create links to icons in %{_iconsdir}/hicolor
- release 2

Revision 1.19  2011/03/02 15:05:17  charles
- up to 2.1.0

Revision 1.18  2010/11/23 20:37:38  megabajt
- release 2

Revision 1.17  2010/09/22 17:23:29  charles
- updated to 2.0.1
- updated Source0; BR: QtDeclarative-devel

Revision 1.16  2010/06/20 19:24:56  megabajt
- release 3

Revision 1.15  2010/02/17 21:33:55  megabajt
- release 2

Revision 1.14  2010/01/20 14:34:34  charles
- updated to 1.3.1

Revision 1.13  2010/01/01 01:27:01  megabajt
- R: QtSql-sqlite3

Revision 1.12  2009/12/26 13:16:42  megabajt
- added desktop file
- changed group to X11/Development/Tools
- added S: xdg-utils (qtcreator uses xdg-open)

Revision 1.11  2009/12/04 04:19:32  charles
- updated to 1.3.0

Revision 1.10  2009/08/02 13:15:31  vip
- up to 1.2.1

Revision 1.9  2009/07/05 08:12:26  charles
- BR: qt4-linguist
- requires_eq QtCore
- updated %files

Revision 1.8  2009/07/04 21:34:06  cactus
- up to 1.2.0

Revision 1.7  2009/04/27 07:48:41  charles
- BR: QtDesigner-devel

Revision 1.6  2009/04/26 12:18:35  vip
- up to 1.1.0

Revision 1.5  2009/03/07 10:37:52  charles
- BR s/QtSql-sqlite/QtSql-sqlite3/
- fixed %install
- added %ghost %{_libdir}/qtcreator/lib*.so.1

Revision 1.4  2009/03/07 08:03:20  charles
- more BRs

Revision 1.3  2009/03/05 14:14:58  djurban
- oh, and release 2

Revision 1.2  2009/03/05 14:14:43  djurban
- fix ldconfig locations, add 64bit plugin search path fixes

Revision 1.1  2009/03/05 13:45:26  djurban
- initial, rel. 1


